Name: bullet
Version: 2.75
Release: 2%{?dist}
Summary: 3D Collision Detection and Rigid Body Dynamics Library
Group: Development/Libraries
License: zlib and MIT and BSD
URL: http://www.bulletphysics.com

Source0: %{name}-%{version}-free.tar.gz
# bullet contains non-free code that we cannot ship.  Therefore we use
# this script to remove the non-free code before shipping it.
# Download the upstream tarball and invoke this script while in the
# tarball's directory:
# ./generate-tarball.sh 2.75
Source1: generate-tarball.sh

Source10: bullet.pc.cmake

# See http://code.google.com/p/bullet/issues/detail?id=174
Patch0: lib_suffix.patch

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: cmake, libGL-devel, libGLU-devel, freeglut-devel, libICE-devel

# upstreamable patch (plus Source10 above)
Patch10: bullet-2.75-cmake_pkgconfig.patch

%description
Bullet is a 3D Collision Detection and Rigid Body Dynamics Library for games
and animation.

%package devel
Summary: Development files for %{name}
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}

%description devel
Development headers and libraries for %{name}.


%prep
%setup -q

install -p %{SOURCE10} .

%patch0
%patch10 -p1 -b .cmake_pkgconfig

# Set these files to right permission
chmod 644 src/LinearMath/btPoolAllocator.h
chmod 644 src/BulletDynamics/ConstraintSolver/btSliderConstraint.cpp
chmod 644 src/BulletDynamics/ConstraintSolver/btSliderConstraint.h

iconv -f ISO-8859-1 -t UTF-8 -o ChangeLog.utf8 ChangeLog
mv ChangeLog.utf8 ChangeLog

%build
%cmake -DBUILD_DEMOS=OFF -DBUILD_EXTRAS=OFF -DCMAKE_BUILD_TYPE=NONE .
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install/fast DESTDIR=$RPM_BUILD_ROOT

pushd $RPM_BUILD_ROOT%{_libdir}
for f in lib*.so.*.*
do
  ln -sf $f ${f%\.*}
done
popd


%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files
%defattr(-,root,root,-)
%doc README AUTHORS LICENSE NEWS ChangeLog Bullet_Faq.pdf
%{_libdir}/*.so.*

%files devel
%defattr(-,root,root,-)
%doc Bullet_User_Manual.pdf
%dir %{_includedir}/BulletCollision
%dir %{_includedir}/BulletCollision/BroadphaseCollision
%dir %{_includedir}/BulletCollision/CollisionDispatch
%dir %{_includedir}/BulletCollision/CollisionShapes
%dir %{_includedir}/BulletCollision/Gimpact
%dir %{_includedir}/BulletCollision/NarrowPhaseCollision
%dir %{_includedir}/LinearMath
%dir %{_includedir}/BulletDynamics
%dir %{_includedir}/BulletDynamics/Character
%dir %{_includedir}/BulletDynamics/ConstraintSolver
%dir %{_includedir}/BulletDynamics/Dynamics
%dir %{_includedir}/BulletDynamics/Vehicle
%dir %{_includedir}/BulletSoftBody
%{_includedir}/*.h
%{_includedir}/BulletCollision/BroadphaseCollision/*.h
%{_includedir}/BulletCollision/CollisionDispatch/*.h
%{_includedir}/BulletCollision/CollisionShapes/*.h
%{_includedir}/BulletCollision/Gimpact/*.h
%{_includedir}/BulletCollision/NarrowPhaseCollision/*.h
%{_includedir}/BulletCollision/*.h
%{_includedir}/BulletDynamics/Character/*.h
%{_includedir}/BulletDynamics/ConstraintSolver/*.h
%{_includedir}/BulletDynamics/Dynamics/*.h
%{_includedir}/BulletDynamics/Vehicle/*.h
%{_includedir}/BulletDynamics/*.h
%{_includedir}/BulletSoftBody/*.h
%{_includedir}/LinearMath/*.h
%{_libdir}/*.so
%{_libdir}/pkgconfig/bullet.pc


%changelog
* Tue Mar 09 2010 Rex Dieter <rdieter@fedoraproject.org> - 2.75-2
- pkgconfig file not installed (#549051)

* Sat Oct 03 2009 Thomas Kowaliczek <linuxdonald@linuxdonald.de> - 2.75-1
- Updatet to new upstream version 2.75
- Updatet the patch file to work agian

* Thu Jun 25 2009 Thomas Kowaliczek <linuxdonald@linuxdonald.de> - 2.74-1
- Updatet to version 2.74
- Updatet the patch file to work agian

* Sun Feb 22 2009 Bruno Mahé <bruno at gnoll.org> - 2.73-5
- Shortened the description
- Fix directory ownership for directories BulletCollision and BulletDynamics
- Convert ChangeLog to UTF-8
- chmod generate-tarball.sh to 644

* Fri Feb 20 2009 Bruno Mahé <bruno at gnoll.org> - 2.73-4
- Remove gcc-g++ in BuildRequires
- Add option -DCMAKE_BUILD_TYPE=NONE to %%cmake. This will make CMake using default compiler flags
- Use %% instead of single % in %%changelog to prevent macros from being expanded
- Specify we are not shipping pristine source because of some non-free parts
- Change licence to "zlib and MIT and BSD"
- Make include directory being owned by this package
- Remove duplicate documents
- Convert spec file to UTF8
- Set some files permission to 644

* Sun Feb 15 2009 Bruno Mahé <bruno at gnoll.org> - 2.73-3
- Remove non-free directories Demos/, Extras/ and Glut/ from the source

* Sun Jan 18 2009 Bruno Mahé <bruno at gnoll.org> - 2.73-2
- Add "rm -rf $RPM_BUILD_ROOT" to the install target
- Moved unversioned shared libraries (e.g. libfoo.so) to the -devel package
- Update %%post and %%postrun
- Change %%description
- Reduce length of %%summary
- Changed %%group to Development/Libraries
- Changed Zlib licence to lowercase zlib
- %%description kept below 80 characters wide

* Sat Dec 13 2008 Bruno Mahé <bruno at gnoll.org> - 2.73-1
- Initial build.
